# Class RowBoxLayout

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a layout manager that arranges child elements in a row-based box configuration.

    public class RowBoxLayout

Inheritance
  object
  RowBoxLayout

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### BgColor

    public string? BgColor { get; set; }

#### Property Value

string

### Direction

    public DisplayConfigEnums.DirectionEnum Direction { get; set; }

#### Property Value

DisplayConfigEnums.DirectionEnum

### GrowPriority

    public double? GrowPriority { get; set; }

#### Property Value

double?

### Observations

    public List<ObservationRowBoxLayout>? Observations { get; set; }

#### Property Value

List<ObservationRowBoxLayout>

### PaddingBottom

    public string? PaddingBottom { get; set; }

#### Property Value

string

### PaddingLeft

    public string? PaddingLeft { get; set; }

#### Property Value

string

### PaddingRight

    public string? PaddingRight { get; set; }

#### Property Value

string

### PaddingTop

    public string? PaddingTop { get; set; }

#### Property Value

string

### SubType

    public DisplayConfigEnums.WebDisplayCellSubtype SubType { get; set; }

#### Property Value

DisplayConfigEnums.WebDisplayCellSubtype

### Type

    public DisplayConfigEnums.CellType Type { get; set; }

#### Property Value

DisplayConfigEnums.CellType